Loading...
Searching...
No Matches
casacore::SDObservationHandler Class Reference
msfits package (libcasa_msfits) » MSFits_module » MSFits_module_internal_classes

More...

`#include <SDObservationHandler.h>`

## Public Member Functions

| SDObservationHandler ()
| default ctor is not attached to a MS and hence is useless until attached
| SDObservationHandler (MeasurementSet &ms, Vector< Bool > &handledCols, const Record &row)
| attach this to a MS, mark the appropriate columns as handled given the indicated row
| SDObservationHandler (const SDObservationHandler &other)
| copy ctor
| ~SDObservationHandler ()
SDObservationHandler & | operator= (const SDObservationHandler &other)
| assignment operator, uses copy semantics
void | attach (MeasurementSet &ms, Vector< Bool > &handledCols, const Record &row)
| attach to a MS, mark the appropriate columns as handled given the row
void | resetRow (const Record &row)
| reset internals given indicated row, use the same MS
void | fill (const Record &row, const String &telescopeName, const Vector< Double > &timeRange)
| fill - a new row is added only when necessary
Int | observationId ()
| get the current observation ID
void | updateTimeRange (const Vector< Double > &timeRange)
| update the time range

## Private Member Functions

void | clearAll ()
| cleanup everything
void | clearRow ()
| cleanup things which depend on the row description being fixed
void | initAll (MeasurementSet &ms, Vector< Bool > &handledCols, const Record &row)
| initialize everything
void | initRow (Vector< Bool > &handledCols, const Record &row)
| initialize the things which depend on the row
void | makeIndex ()
| initialize the index

## Private Attributes

ColumnsIndex * | index_p
RecordFieldPtr< String > | telescopeKey_p
RecordFieldPtr< String > | observerKey_p
RecordFieldPtr< String > | projectKey_p
RecordFieldPtr< String > | ns_obsidKey_p
RecordFieldPtr< Double > | releaseDateKey_p
RecordFieldPtr< Bool > | flagRowKey_p
MSObservation * | msObs_p
MSObservationColumns * | msObsCols_p
Int | rownr_p
ScalarColumn< String > | nsObsIdCol_p
RORecordFieldPtr< String > | observer_p
| pointers to fields in record, only used if attached
RORecordFieldPtr< String > | projid_p
RORecordFieldPtr< String > | obsid_p
RORecordFieldPtr< Double > | releaseDate_p
RORecordFieldPtr< Bool > | flagRow_p
RORecordFieldPtr< Array< Double > > | timeRange_p

## Detailed Description

### Intended use:

Internal or

### Intended use:

Internal

### Review Status

Date Reviewed:
  yyyy/mm/dd

### Prerequisite

- SomeClass
- SomeOtherClass
- some concept

### Etymology

### Synopsis

### Example

### Motivation

### Template Type Argument Requirements (T)

### Thrown Exceptions

### To Do

- add this feature
- fix this bug
- start discussion of this possible extension

Definition at line 86 of file SDObservationHandler.h.

## Constructor & Destructor Documentation

## SDObservationHandler() [1/3]

casacore::SDObservationHandler::SDObservationHandler | ( |  | ) |

default ctor is not attached to a MS and hence is useless until attached

Referenced by operator=(), and SDObservationHandler().

## SDObservationHandler() [2/3]

casacore::SDObservationHandler::SDObservationHandler | ( | MeasurementSet & | ms,
|  | Vector< Bool > & | handledCols,
|  | const Record & | row )

attach this to a MS, mark the appropriate columns as handled given the indicated row

References casacore::Record().

## SDObservationHandler() [3/3]

casacore::SDObservationHandler::SDObservationHandler | ( | const SDObservationHandler & | other | ) |

copy ctor

References SDObservationHandler().

## ~SDObservationHandler()

casacore::SDObservationHandler::~SDObservationHandler | ( |  | ) |

inline

Definition at line 99 of file SDObservationHandler.h.

References clearAll().

## Member Function Documentation

## attach()

void casacore::SDObservationHandler::attach | ( | MeasurementSet & | ms,
|  | Vector< Bool > & | handledCols,
|  | const Record & | row )

attach to a MS, mark the appropriate columns as handled given the row

References casacore::Record().

## clearAll()

void casacore::SDObservationHandler::clearAll | ( |  | ) |

private

cleanup everything

Referenced by ~SDObservationHandler().

## clearRow()

void casacore::SDObservationHandler::clearRow | ( |  | ) |

private

cleanup things which depend on the row description being fixed

## fill()

void casacore::SDObservationHandler::fill | ( | const Record & | row,
|  | const String & | telescopeName,
|  | const Vector< Double > & | timeRange )

fill - a new row is added only when necessary

References casacore::Record().

## initAll()

void casacore::SDObservationHandler::initAll | ( | MeasurementSet & | ms,
|  | Vector< Bool > & | handledCols,
|  | const Record & | row )

private

initialize everything

References casacore::Record().

## initRow()

void casacore::SDObservationHandler::initRow | ( | Vector< Bool > & | handledCols,
|  | const Record & | row )

private

initialize the things which depend on the row

References casacore::Record().

## makeIndex()

void casacore::SDObservationHandler::makeIndex | ( |  | ) |

private

initialize the index

## observationId()

Int casacore::SDObservationHandler::observationId | ( |  | ) |

inline

get the current observation ID

Definition at line 114 of file SDObservationHandler.h.

References rownr_p.

## operator=()

SDObservationHandler & casacore::SDObservationHandler::operator= | ( | const SDObservationHandler & | other | ) |

assignment operator, uses copy semantics

References SDObservationHandler().

## resetRow()

void casacore::SDObservationHandler::resetRow | ( | const Record & | row | ) |

reset internals given indicated row, use the same MS

References casacore::Record().

## updateTimeRange()

void casacore::SDObservationHandler::updateTimeRange | ( | const Vector< Double > & | timeRange | ) |

update the time range

## Member Data Documentation

## flagRow_p

RORecordFieldPtr<Bool> casacore::SDObservationHandler::flagRow_p

private

Definition at line 134 of file SDObservationHandler.h.

## flagRowKey_p

RecordFieldPtr<Bool> casacore::SDObservationHandler::flagRowKey_p

private

Definition at line 122 of file SDObservationHandler.h.

## index_p

ColumnsIndex* casacore::SDObservationHandler::index_p

private

Definition at line 119 of file SDObservationHandler.h.

## msObs_p

MSObservation* casacore::SDObservationHandler::msObs_p

private

Definition at line 124 of file SDObservationHandler.h.

## msObsCols_p

MSObservationColumns* casacore::SDObservationHandler::msObsCols_p

private

Definition at line 125 of file SDObservationHandler.h.

## ns_obsidKey_p

RecordFieldPtr<String> casacore::SDObservationHandler::ns_obsidKey_p

private

Definition at line 120 of file SDObservationHandler.h.

## nsObsIdCol_p

ScalarColumn<String> casacore::SDObservationHandler::nsObsIdCol_p

private

Definition at line 129 of file SDObservationHandler.h.

## observer_p

RORecordFieldPtr<String> casacore::SDObservationHandler::observer_p

private

pointers to fields in record, only used if attached

Definition at line 132 of file SDObservationHandler.h.

## observerKey_p

RecordFieldPtr<String> casacore::SDObservationHandler::observerKey_p

private

Definition at line 120 of file SDObservationHandler.h.

## obsid_p

RORecordFieldPtr<String> casacore::SDObservationHandler::obsid_p

private

Definition at line 132 of file SDObservationHandler.h.

## projectKey_p

RecordFieldPtr<String> casacore::SDObservationHandler::projectKey_p

private

Definition at line 120 of file SDObservationHandler.h.

## projid_p

RORecordFieldPtr<String> casacore::SDObservationHandler::projid_p

private

Definition at line 132 of file SDObservationHandler.h.

## releaseDate_p

RORecordFieldPtr<Double> casacore::SDObservationHandler::releaseDate_p

private

Definition at line 133 of file SDObservationHandler.h.

## releaseDateKey_p

RecordFieldPtr<Double> casacore::SDObservationHandler::releaseDateKey_p

private

Definition at line 121 of file SDObservationHandler.h.

## rownr_p

Int casacore::SDObservationHandler::rownr_p

private

Definition at line 127 of file SDObservationHandler.h.

Referenced by observationId().

## telescopeKey_p

RecordFieldPtr<String> casacore::SDObservationHandler::telescopeKey_p

private

Definition at line 120 of file SDObservationHandler.h.

## timeRange_p

RORecordFieldPtr<Array<Double> > casacore::SDObservationHandler::timeRange_p

private

Definition at line 135 of file SDObservationHandler.h.

The documentation for this class was generated from the following file:

- msfits/MSFits/SDObservationHandler.h